## xcrysden 1.5.53

=== Makefile ===
#------------------------------------------------------------------------
#
# XCRYSDEN Top Makefile
#
#------------------------------------------------------------------------

SHELL     = /bin/sh
TOPDIR    = $(CURDIR)
TCL_INDEX = $(TOPDIR)/util/aindex

include make.include

what:
	@clear;	$(SHELL) make-usage 


# some varibales ...

all: tcl tk mesa fftw meschach xcrysden 
xcrysden: usage bwidget bindir src-C src-F src-Tcl

usage: $(TOPDIR)/docs/xcrysden.1
	man $(TOPDIR)/docs/xcrysden.1 | awk 'BEGIN {lprint=0; print "## do not edit changes will be lost (file automatically generated)\n"; } /SYNOPSIS/ { lprint=1; } /SEE ALSO/ { lprint=0; } /a*/ { if (lprint) print; }' > usage

check-make-sys:
	@if test ! -f Make.sys ; then \
	echo ""; \
	echo "   First copy an appropriate system/Make.* file to ./Make.sys "; \
	echo "   and edit it to suit your needs."; \
	echo ""; exit 1; fi

help:
	@. make-usage


bindir:
	if test ! -d bin ; then mkdir bin; fi

tcl: check-make-sys
	if test -d external/src ; then \
		cd external/src; $(MAKE)  "TOPDIR=$(TOPDIR)" tcl; \
	fi

tk: check-make-sys
	if test -d external/src ; then \
		cd external/src; $(MAKE)  "TOPDIR=$(TOPDIR)" tk; \
	fi

mesa: check-make-sys
	if test -d external/src ; then \
		cd external/src; $(MAKE)  "TOPDIR=$(TOPDIR)" mesa; \
	fi

meschach: check-make-sys
	if test -d external/src ; then \
		cd external/src; $(MAKE)  "TOPDIR=$(TOPDIR)" meschach; \
	fi

fftw: check-make-sys
	if test -d external/src ; then \
		cd external/src; $(MAKE)  "TOPDIR=$(TOPDIR)" fftw; \
	fi

bwidget: check-make-sys
	if test -d external/src ; then \
		cd external/src; $(MAKE)  "TOPDIR=$(TOPDIR)" bwidget; \
	fi

src-C: check-make-sys
	@echo
	@echo "#------------------------------#"
	@echo "#                              #"
	@echo "#   Compiling XCRYSDEN C-code  #"
	@echo "#                              #"
	@echo "#------------------------------#"
	@echo
	cd C; $(MAKE) "TOPDIR=$(TOPDIR)" compile


src-F: check-make-sys
	@echo
	@echo "#------------------------------#"
	@echo "#                              #"
	@echo "#   Compiling XCRYSDEN F-code  #"
	@echo "#                              #"
	@echo "#------------------------------#"
	@echo
	cd F/SRC_nn; $(MAKE)  "TOPDIR=$(TOPDIR)"
	cd F/SRC_spaghetti; $(MAKE)  "TOPDIR=$(TOPDIR)"
	cd F; $(MAKE)  "TOPDIR=$(TOPDIR)"

src-Tcl:
	@echo
	@echo "#------------------------------#"
	@echo "#                              #"
	@echo "#  Managing XCRYSDEN Tcl-code  #"
	@echo "#                              #"
	@echo "#------------------------------#"
	@echo
	cd Tcl; $(MAKE)
	cd Tcl/fs; $(MAKE)

tests:
	if test -x bin/xcrys ; then cd tests; ./make_all_tests.sh; fi

# ------------------------------------------------------------------------
#
# clean-targets
#
# ------------------------------------------------------------------------

clean: clean-C clean-F clean-Tcl wrappers_clean	
	cd examples; $(MAKE) clean

veryclean: clean clean-bin clean-docs clean-external 

distclean: veryclean clean-bck
	if test -f usage;    then rm -f usage; fi
	if test -d external; then cd external; $(MAKE) distclean; fi

clean-bck:
	-rm -f *~
	-rm -f */*~
	-rm -f */*/*~
	-rm -f */*/*/*~

clean-C: check-make-sys
	cd C; $(MAKE) "TOPDIR=$(TOPDIR)" clean

clean-F: check-make-sys
	-cd F/SRC_nn; $(MAKE) "TOPDIR=$(TOPDIR)" clean
	-cd F/SRC_spaghetti; $(MAKE) "TOPDIR=$(TOPDIR)" clean
	-cd F; $(MAKE) "TOPDIR=$(TOPDIR)" clean

clean-Tcl:
	cd Tcl/fs; $(MAKE) clean
	cd Tcl; $(MAKE) clean

clean-bin:
	if test -d bin/; then \
		rm -f bin/*; \
	fi

clean-docs:
	if test -d docs/; then \
		cd docs; $(MAKE) "TOPDIR=$(TOPDIR)" veryclean; \
	fi

clean-external:
	if test -d external/src ; then \
	   cd external/src ; $(MAKE) "TOPDIR=$(TOPDIR)" clean; \
	fi

wrappers_clean:
	for file in $(addsuffix .wrapper,$(PROGS)); do \
		if test -f $$file; then rm -f $$file; fi; \
	done 

# ========================================================================
#
# here are targets for making various distributions
#
# ========================================================================

PROGS = xcrysden pwi2xsf pwo2xsf ptable unitconv

README_FILES = \
	AUTHORS \
	COPYING \
	COPYRIGHT \
	ChangeLog \
	NEWS \
	README README.cygwin \
	THANKS \
	otherLICENSES/ 

IRON_ITEMS = usage version xcrysden
IRON_DIRS = \
	Awk/ \
	Tcl/*.tcl Tcl/tclIndex Tcl/fs/*.tcl Tcl/fs/tclIndex \
	Tcl/Xcrysden_resources Tcl/custom-definitions \
	contrib/ \
	examples/ \
	images/ \
	scripts/ \
	tests/ \
	util/ 

MAN_PAGES  = $(addsuffix .1,$(PROGS))
MAN_FILES  = $(addprefix docs/,$(MAN_PAGES))
BAT_FILES  = xcrysden.bat 
IRON_FILES = $(IRON_ITEMS) $(IRON_DIRS) $(MAN_FILES)

SRC_ONLY_FILES = \
	Makefile make-usage make.include \
	C/*.c C/*.h C/Makefile C/make-objects C/*.cygwin \
	F/*.f F/*.inc F/Makefile \
	F/*/*.f F/*/*.inc F/*/Makefile \
	Tcl/Makefile Tcl/fs/Makefile \
	docs/Makefile \
	sys_utils/*.sh \
	system/ \

EXTERNAL_SRC_FILES    = external/Makefile external/src/Makefile
EXTERNAL_LIB_BWIDGET  = external/lib/bwidget-$(BWIDGET_VER)
EXTERNAL_LIB_TCLTK    = external/lib/tcl$(TCL_VER2) external/lib/tk$(TCL_VER2)

EXTERNAL_SHAREDLIB_FILES = $(wildcard \
	external/lib/libtcl$(TCL_VER2).so* external/lib/libtcl$(TCL_VER2).dylib \
	external/lib/libtk$(TCL_VER2).so* external/lib/libtk$(TCL_VER2).dylib \
	external/lib/libGL.so* external/lib/libGL.*.dylib* \
	external/lib/libGLU.so* external/lib/libGLU.*.dylib* \
	external/lib/libmeschach.so* external/lib/libmeschach*.dylib* \
	external/lib/libfftw3.so* external/lib/libfftw3*.dylib* \
	external/lib/libquadmath.so* )

EXTERNAL_GFORTRAN_LIB =
#EXTERNAL_GFORTRAN_LIB = external/lib/libgfortran.so.$(GFORTRAN_MINOR_VERSION)

BIN_FILES = bin/

# ------------------------------------------------------------------------
#
# Target for installing system wide: default localtion is /usr/local
# To install to different location run as: prefix=XXXXX make iunstall
#
# ------------------------------------------------------------------------

prefix   ?= /usr/local
version  := $(shell cat version)
xcrysden  = xcrysden-$(version)

install: xcrysden
	@echo
	@echo "#-----"
	@echo "#                          "
	@echo "#   Installing XCRYSDEN to: $(prefix)"
	@echo "#                          "
	@echo "#-----"
	@echo	
	install -m755 -d $(prefix)/share/$(xcrysden)
	cp -a $(IRON_ITEMS) $(prefix)/share/$(xcrysden)
	\
	for subdir in Awk examples $(EXTERNAL_LIB_BWIDGET) images scripts Tcl util; do \
		if test -d $$subdir; then \
			install -m755 -d $(prefix)/share/$(xcrysden)/$$subdir; \
			cp -a   $$subdir/* $(prefix)/share/$(xcrysden)/$$subdir; \
		fi; \
	done
	\
	install -m755 -d $(prefix)/share/man/man1
	install -m644 $(MAN_FILES) $(prefix)/share/man/man1/
	gzip -f $(addprefix $(prefix)/share/man/man1/,$(MAN_PAGES))
	\
	install -m755 -d $(prefix)/lib/$(xcrysden)
	install -m755 bin/*  $(prefix)/lib/$(xcrysden)/
	\
	prefix=$(prefix) xcrysden=$(xcrysden) sh sys_utils/wrappers.sh
	if test ! -d $(prefix)/bin; then install -m755 -d $(prefix)/bin; fi
	for prog in $(PROGS); do \
		install -m755 $$prog.wrapper   $(prefix)/bin/$$prog; \
	done



#------------------------------------------------------------------------
#
# SOURCE-distributions
#
#------------------------------------------------------------------------

srcdist:      clean-bck src-Tcl _src-dist    

#------------------------------------------------------------------------
#
# BINARY (i.e. precompiled) distributions 
#
#------------------------------------------------------------------------

bindist: bindist-shared; # the default bindist is shared

bindist-static:      clean-bck xcrysden _bin-dist-static
bindist-shared:      clean-bck xcrysden _bin-dist-fully-shared
bindist-semishared:  clean-bck xcrysden _bin-dist-semishared


#
# sorce distribution 
#
_src-dist: 
	tar -cvf xcrysden.tar $(README_FILES) $(IRON_FILES) $(BAT_FILES) $(SRC_ONLY_FILES) $(EXTERNAL_SRC_FILES)
	sys_utils/xcRepackage.sh $(TOPDIR) xcrysden.tar


#
# statically linked binary distribution (with external/lib/tcl/ and external/lib/tk/)
#
_bin-dist-static: 
	tar -cvf xcrysden.tar $(README_FILES) $(IRON_FILES) $(EXTERNAL_LIB_BWIDGET) $(EXTERNAL_LIB_TCLTK) $(BIN_FILES)
	sys_utils/xcRepackage.sh $(TOPDIR) xcrysden.tar bin-static


# shared linked distribution without shared libs
_bin-dist-fully-shared: 
	if test -f $(EXTERNAL_GFORTRAN_LIB); then \
		tar -cvf xcrysden.tar $(README_FILES) $(IRON_FILES) $(EXTERNAL_LIB_BWIDGET) $(BIN_FILES) $(EXTERNAL_GFORTRAN_LIB); \
	else \
		tar -cvf xcrysden.tar $(README_FILES) $(IRON_FILES) $(EXTERNAL_LIB_BWIDGET) $(BIN_FILES); fi
	sys_utils/xcRepackage.sh $(TOPDIR) xcrysden.tar bin-shared


# semi-shared linked distribution with shared libs in external/lib
_bin-dist-semishared:
	tar -cvf xcrysden.tar \
		$(README_FILES) $(IRON_FILES) $(EXTERNAL_LIB_BWIDGET) $(EXTERNAL_LIB_TCLTK) $(EXTERNAL_SHAREDLIB_FILES) $(BIN_FILES)
	sys_utils/xcRepackage.sh $(TOPDIR) xcrysden.tar bin-semishared

=== Tcl/Makefile ===
TOPDIR = $(PWD)/..
include ../Make.sys

.tcl:

tclIndex: *.tcl
	XCRYSDEN_TOPDIR=$(TOPDIR); \
	export XCRYSDEN_TOPDIR; 
	$(TCL_INDEX)

clean:
	-rm -f *~

=== docs/Makefile ===
# $Id: Makefile,v 1.2 2012/03/07 10:23:35 tone Exp $

# ------------------------------------------------------------------------
# variables
# ------------------------------------------------------------------------

ROBODOC = robodoc  --html --multidoc --index

EXAMPLES_DIR = ../examples/Scripting
XC_TCL_DIR   = ../Tcl
XC_TCL_FILES = \
	scripting.tcl \
	scriptingFilter.tcl \
	scriptingMakeMovie.tcl \
	scriptingScalarField2D.tcl \
	scriptingScalarField3D.tcl \
	scriptingAtomicLabels.tcl \
	auxil.tcl

XC_TCL_DIRFILES   = $(addprefix $(XC_TCL_DIR)/,$(XC_TCL_FILES))
EXAMPLES_DIRFILES = $(shell ls $(EXAMPLES_DIR)/*.tcl) $(shell ls $(EXAMPLES_DIR)/*.sh)

all: scripting_docs

scripting_docs:
	if test ! -d scripting_all/examples; then mkdir -p scripting_all/examples; fi
	cp $(XC_TCL_DIRFILES) scripting_all/
	cp $(EXAMPLES_DIRFILES)  scripting_all/examples/
	$(ROBODOC) --src scripting_all/ --doc html_docs	
	rm -rf scripting_all/

clean:
	-rm -rf html_docs/
	-rm *~

veryclean: clean	
distclean: clean

=== examples/Makefile ===
default:

clean:
	-rm -f *~ 
	-rm -f */*~

=== external/Makefile ===
default:

distclean:
	for dir in bin etc include lib lib64 share usr; do \
		if test -d $$dir ; then rm -rf $$dir ; fi; \
	done
	cd src; $(MAKE) clean

=== F/SRC_spaghetti/Makefile ===
include ../../Make.sys

OBJ = get_ei.o  get_k.o

.SUFFIXES: .f

.f.o:
	$(FC) $(FFLAGS) -c $<

default: $(OBJ)

clean: 
	-rm *.o

=== Tcl/fs/Makefile ===
TOPDIR = $(PWD)/../..
include ../../Make.sys

.tcl:

tclIndex: *.tcl
	XCRYSDEN_TOPDIR=$(TOPDIR); \
	export XCRYSDEN_TOPDIR; 
	$(TCL_INDEX)

clean:
	-rm -f *~

=== external/src/Makefile ===
TOPDIR = $(PWD)/../..
include ../../make.include
include ../../Make.sys

default:
	@echo; echo "*** Possible targets: tcl tk mesa clean"; echo

all: tcl tk mesa fftw meschach bwidget

tcl: 
	@if test ! -f $(TCL_TGZ); then \
		echo ;\
		echo "#------------------------------------#";\
		echo "#                                    #";\
		echo "#   Downloading external Tcl-library #";\
		echo "#                                    #";\
		echo "#------------------------------------#";\
		echo;\
		$(DOWNLOAD) $(TCL_DOWNLOAD); \
	fi
	@if test "$(COMPILE_TCLTK)" = yes  -o  "$(COMPILE_ALL)" = yes; then \
		echo ;\
		echo "#----------------------------------#";\
		echo "#                                  #";\
		echo "#   Compiling external Tcl-library #";\
		echo "#                                  #";\
		echo "#----------------------------------#";\
		echo;\
		\
		if [ \( ! -d tcl$(TCL_VER3) \)  -a \( -f $(TCL_TGZ) \) ]; then \
			gunzip -c $(TCL_TGZ) | tar xvf -; \
		fi; \
		\
		cd tcl$(TCL_VER3)/unix; \
		./configure $(TCLTK_OPTIONS) --prefix=$(TOPDIR)/external; \
		$(MAKE); $(MAKE) install-libraries install-binaries; \
	fi


tk:
	@if test ! -f $(TK_TGZ); then \
		echo ;\
		echo "#-----------------------------------#";\
		echo "#                                   #";\
		echo "#   Downloading external Tk-library #";\
		echo "#                                   #";\
		echo "#-----------------------------------#";\
		echo;\
		$(DOWNLOAD) $(TK_DOWNLOAD); \
	fi
	@if test "$(COMPILE_TCLTK)" = yes  -o  "$(COMPILE_ALL)" = yes; then \
		echo ;\
		echo "#---------------------------------#";\
		echo "#                                 #";\
		echo "#   Compiling external Tk-library #";\
		echo "#                                 #";\
		echo "#---------------------------------#";\
		echo ;\
		\
		if [ \( ! -d tk$(TCL_VER3) \)  -a \( -f $(TK_TGZ) \) ]; then \
			gunzip -c $(TK_TGZ) | tar xvf -; \
		fi; \
		\
		cd tk$(TCL_VER3)/unix; \
		./configure $(TCLTK_OPTIONS) --prefix=$(TOPDIR)/external; \
		$(MAKE); $(MAKE) install-libraries install-binaries; \
	fi


mesa: mesa-traditional

mesa-new: external_dirs
	@if test ! -f $(MESA_TGZ); then \
		echo ;\
		echo "#-------------------------------------#";\
		echo "#                                     #";\
		echo "#   Downloading external Mesa-library #";\
		echo "#                                     #";\
		echo "#-------------------------------------#";\
		echo;\
		$(DOWNLOAD) $(MESA_DOWNLOAD); \
	fi
	@if test "$(COMPILE_MESA)" = yes  -o  "$(COMPILE_ALL)" = yes; then \
		echo ;\
		echo "#-----------------------------------#";\
		echo "#                                   #";\
		echo "#   Compiling external Mesa-library #";\
		echo "#                                   #";\
		echo "#-----------------------------------#";\
		echo ;\
		\
		if [ \( ! -d Mesa-$(MESA_VER) \)  -a \( -f $(MESA_TGZ) \) ]; then \
			gunzip -c $(MESA_TGZ) | tar -xvf -; \
		fi; \
		cd Mesa-$(MESA_VER); \
		./configure $(MESA_OPTIONS) --prefix=$(TOPDIR)/external; \
		$(MAKE); $(MAKE) install; \
	fi


mesa-traditional: external_dirs
	@if test ! -f $(MESA_TGZ); then \
		echo ;\
		echo "#-------------------------------------#";\
		echo "#                                     #";\
		echo "#   Downloading external Mesa-library #";\
		echo "#                                     #";\
		echo "#-------------------------------------#";\
		echo;\
		$(DOWNLOAD) $(MESA_DOWNLOAD); \
	fi
	@if test "$(COMPILE_MESA)" = yes  -o  "$(COMPILE_ALL)" = yes; then \
		echo ;\
		echo "#-----------------------------------#";\
		echo "#                                   #";\
		echo "#   Compiling external Mesa-library #";\
		echo "#                                   #";\
		echo "#-----------------------------------#";\
		echo ;\
		\
		if [ \( ! -d Mesa-$(MESA_VER) \)  -a \( -f $(MESA_TGZ) \) ]; then \
			gunzip -c $(MESA_TGZ) | tar -xvf -; \
		fi; \
		cd Mesa-$(MESA_VER); \
		$(MAKE) $(MESA_TARGET); \
		$(MAKE) install DESTDIR=$(TOPDIR)/external; \
		for dir in usr/local usr/X11; do \
			if test -d $(TOPDIR)/external/$$dir; then \
                                mv $(TOPDIR)/external/$$dir/lib/*     $(TOPDIR)/external/lib/; \
                                mv $(TOPDIR)/external/$$dir/include/* $(TOPDIR)/external/include/; \
                                rm -rf $(TOPDIR)/external/$$dir; \
                        fi; \
                done; \
	fi


fftw:
	@if test ! -f $(FFTW_TGZ); then \
		echo ;\
		echo "#-------------------------------------#";\
		echo "#                                     #";\
		echo "#   Downloading external FFTW-library #";\
		echo "#                                     #";\
		echo "#-------------------------------------#";\
		echo;\
		$(DOWNLOAD) $(FFTW_DOWNLOAD); \
	fi
	@if test "$(COMPILE_FFTW)" = yes   -o  "$(COMPILE_ALL)" = yes; then \
		echo ;\
		echo "#----------------------------------#";\
		echo "#                                  #";\
		echo "#   Compiling external FFTW-library #";\
		echo "#                                  #";\
		echo "#----------------------------------#";\
		echo ;\
		\
		if [ \( ! -d fftw-$(FFTW_VER) \)  -a \( -f $(FFTW_TGZ) \) ]; then \
			gunzip -c $(FFTW_TGZ) | tar xvf -; \
		fi; \
		\
		cd fftw-$(FFTW_VER); \
		./configure $(FFTW_OPTIONS) --prefix=$(TOPDIR)/external; \
		$(MAKE); $(MAKE) install; \
	fi


meschach: external_dirs
	@if test ! -f $(MESCHACH_TGZ); then \
		echo ;\
		echo "#-----------------------------------------#";\
		echo "#                                         #";\
		echo "#   Downloading external MESCHACH-library #";\
		echo "#                                         #";\
		echo "#-----------------------------------------#";\
		echo;\
		$(DOWNLOAD) $(MESCHACH_DOWNLOAD); \
	fi
	@if test "$(COMPILE_MESCHACH)" = yes  -o  "$(COMPILE_ALL)" = yes; then \
		echo ;\
		echo "#---------------------------------------#";\
		echo "#                                       #";\
		echo "#   Compiling external Meschach-library #";\
		echo "#                                       #";\
		echo "#---------------------------------------#";\
		echo ;\
		\
		if [ \( ! -d meschach$(MESCHACH_VER) \)  -a \( -f $(MESCHACH_TGZ) \) ]; then \
			mkdir meschach$(MESCHACH_VER); \
			cd meschach$(MESCHACH_VER); \
			gunzip -c ../$(MESCHACH_TGZ) | tar xvf -; \
			cd ..; \
		fi; \
		\
		cd meschach$(MESCHACH_VER); \
		$(MAKE) clean; $(MAKE); \
		if test ! -d $(TOPDIR)/external/include/meschach; then \
			mkdir $(TOPDIR)/external/include/meschach; \
		fi; \
		cp *.h $(TOPDIR)/external/include/meschach/; \
		mv meschach.a $(TOPDIR)/external/lib/libmeschach.a; \
	fi


bwidget:
	@if test ! -f $(BWIDGET_TGZ); then \
		echo ;\
		echo "#----------------------------------------#";\
		echo "#                                        #";\
		echo "#   Downloading external BWidget-library #";\
		echo "#                                        #";\
		echo "#----------------------------------------#";\
		echo;\
		$(DOWNLOAD) $(BWIDGET_DOWNLOAD); \
	fi
	if test ! -d $(TOPDIR)/external/lib; then \
		mkdir $(TOPDIR)/external/lib; \
	fi
	if test -f $(BWIDGET_TGZ); then \
		if test ! -d $(TOPDIR)/external/lib/bwidget-$(BWIDGET_VER); then \
			cd $(TOPDIR)/external/lib; tar zxvf $(TOPDIR)/external/src/bwidget-$(BWIDGET_VER).tar.gz; \
		fi; \
	fi


external_dirs:
	for dir in lib include bin; do \
		if test ! -d $(TOPDIR)/external/$$dir; then \
			mkdir $(TOPDIR)/external/$$dir; \
		fi; \
	done

clean:
	for file in tcl*gz* tk*gz* Mesa*gz* bwidget*gz* fftw*gz* mesch*gz*; do \
		if test -f $$file; then rm -f $$file; fi; \
	done; \
	for dir in tcl$(TCL_VER3) tk$(TCL_VER3) Mesa-$(MESA_VER) bwidget-$(BWIDGET_VER) fftw-$(FFTW_VER) meschach$(MESCHACH_VER); do \
		if test -d $$dir ; then rm -rf $$dir ; fi; \
	done

## xcrysden 1.5.52

=== debian/changelog ===
xcrysden (1.5.52-1) unstable; urgency=low

  * Initial release (Closes: #486545).
  * This is my first Debian package.
  * Adjusted the Makefile to fix $(DESTDIR) problems and fixing the
    wrapper scripts.

 -- Anton Kokalj <tone.kokalj@ijs.si>  Sat, 10 Mar 2012 16:28:25 +0100

=== debian/control ===
Source: xcrysden
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Anton Kokalj <tone.kokalj@ijs.si>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 8.0.0), libfftw3-dev, libmeschach-dev, tk8.5-dev, tcl8.5-dev, libgl1-mesa-dev, libglu1-mesa-dev, libxmu-headers, libxmu-dev, libx11-dev, libgcc1, gfortran
Standards-Version: 3.9.3
Homepage: http://www.xcrysden.org/
DM-Upload-Allowed: yes

Package: xcrysden
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xcrysden-data, bwidget, gawk, imagemagick, openbabel
Description: Crystalline and Molecular Structure Visualizer
 XCrySDen is a crystalline and molecular structure visualisation
 program, which aims at display of isosurfaces and contours, which can
 be superimposed on crystalline structures and interactively rotated
 and manipulated. It can run on most UNIX platforms, without any
 special hardware requirements.

Package: xcrysden-data
Architecture: all
Depends: ${misc:Depends}
Description: Crystalline and Molecular Structure Visualizer (Data Files)
 XCrySDen is a crystalline and molecular structure visualisation
 program, which aims at display of isosurfaces and contours, which can
 be superimposed on crystalline structures and interactively rotated
 and manipulated. It can run on most UNIX platforms, without any
 special hardware requirements.
 .
 This package contains the architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- xcrysden

=== debian/watch ===
# watch control file for uscan
version=3
http://www.xcrysden.org/download/xcrysden-(.+)\.tar\.gz debian uupdate

## xcrysden 1.5.53

=== debian/changelog ===
xcrysden (1.5.53-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Uploaders): Added myself.
    (Build-Depends): Added libtogl-dev and libgl2ps-dev.
  * debian/copyright: Fixed format.
  * debian/rules: Enable hardening and list missing files.
  * debian/upstream: Added.
  * debian/watch: Fixed.
  * debian/patches/Make.sys.patch: Adjusted.
    - Make sure we can choose our own build flags. Use libtogl-dev and
      libgl2ps-dev instead of the shipped copies.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 25 Jun 2012 00:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,35 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Anton Kokalj <tone.kokalj@ijs.si>,
-           Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libfftw3-dev, libmeschach-dev, tk8.5-dev, tcl8.5-dev, libgl1-mesa-dev, libglu1-mesa-dev, libxmu-headers, libxmu-dev, libx11-dev, libgcc1, gfortran
+           Michael Banck <mbanck@debian.org>,
+           Daniel Leidert <dleidert@debian.org>
+Build-Depends: debhelper (>> 8),
+               gfortran,
+               libfftw3-dev,
+               libgcc1,
+               libgl1-mesa-dev,
+               libgl2ps-dev,
+               libglu1-mesa-dev,
+               libmeschach-dev,
+               libtogl-dev,
+               libx11-dev,
+               libxmu-dev,
+               libxmu-headers,
+               tcl8.5-dev,
+               tk8.5-dev
 Standards-Version: 3.9.3
 Homepage: http://www.xcrysden.org/
 DM-Upload-Allowed: yes
 
 Package: xcrysden
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xcrysden-data, bwidget, gawk, imagemagick, openbabel
+Depends: bwidget,
+         gawk,
+         imagemagick,
+         openbabel,
+         xcrysden-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Crystalline and Molecular Structure Visualizer
  XCrySDen is a crystalline and molecular structure visualisation
  program, which aims at display of isosurfaces and contours, which can

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
+export FFLAGS   = $(shell dpkg-buildflags --get FFLAGS)
+export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- xcrysden
+
+override_dh_install:
+	dh_install --list-missing
+
+.NOTPARALLEL:

## xcrysden 1.5.60

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SHELL     = /bin/sh
 TOPDIR    = $(CURDIR)
-TCL_INDEX = $(TOPDIR)/util/aindex
+TCL_INDEX = $(TOPDIR)/util/tcl_index
 
 include make.include

=== C/Makefile ===
TOPDIR = $(PWD)/..
include ../make.include
include ../Make.sys

#
# don't touch below this
#

INCS      = $(FFTW3_INCDIR) $(MESCHACH_INCDIR) $(TCL_INCDIR) $(TK_INCDIR) $(GL_INCDIR) $(X_INCDIR) $(EXTERNAL_INCDIR)
CPP_FLAGS = -DUSE_FONTS

include make-objects

.SUFFIXES: .o .c
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CPP_FLAGS) $(INCS) -c $<

objects = $(XC_OBJS) $(EXTERNAL_OBJS)

default: xcrys xctclsh xsf2xsf install

compile: 
	$(MAKE) $(CYGWIN) TOPDIR=$(TOPDIR)

#objects: $(objects)
#
#$(objects): %.o: %.c
#	$(CC) $(CFLAGS) $(CPP_FLAGS) $(INCS) -c $<

xcrys: $(XC_OBJS) $(EXTERNAL_OBJS)
	$(CC)  $(CFLAGS) $(XC_OBJS) $(EXTERNAL_OBJS) \
	-o xcrys $(FFTW3_LIB) $(MESCHACH_LIB) $(TK_LIB) $(TCL_LIB) $(GLU_LIB) $(GL_LIB) $(X_LIB) $(MATH) $(LDLIB)

xctclsh: xcTclsh.o
	$(CC) $(CFLAGS) xcTclsh.o -o xctclsh $(TCL_LIB) $(MATH) $(LDLIB)

XFS_OBJS = xsf2xsf.o
xsf2xsf: $(XFS_OBJS) 
	$(CC) $(CFLAGS) $(XFS_OBJS) -o xsf2xsf $(MATH) $(LDLIB)


install:
	-cp xcrys   ../bin
	-cp xctclsh ../bin
	-cp xsf2xsf ../bin

# Note: this target is executed via the cproto.sh script !!!
cproto:
	cproto $(INCS) $(CFILE)

clean:
	-rm -f *.o *~ xcrys xctclsh xsf2xsf

header:
	$(TOPDIR)/sys_utils/c_header.sh

depend:
	-if test "no`type makedepend`" != "no" ; then makedepend $(INCS) $(XC_OBJS:.o=.c); fi

=== F/Makefile ===
TOPDIR = $(PWD)/..
include ../Make.sys

OBJ =   gengeom.o \
	multhexa.o \
	multatom.o \
	box.o \
	ttcplane.o \
	readf1.o \
	auxil.o \
	wigner.o \
	wigner12d.o \
	convexhull.o \
	p2c.o

OBJ2 =  calplane.o 

OBJ3 =  atomlab.o \
	readXYZ.o \
	readf1.o \
	auxil.o

OBJ5 =  str2xcr.o \
	auxil.o

OBJ6 =  multislab.o \
	readf1.o \
	auxil.o \
	writeftn34.o

OBJ7 =  savestruct.o \
	readf1.o \
	auxil.o 

OBJ8 =  kPath.o \
	getintcoor.o \
	auxil.o \
	readf1.o 

OBJ88=  pwKPath.o \
	auxil.o \
	readf1.o 

OBJ9 = wn_readbands.o

OBJ10 =	SRC_spaghetti/get_k.o SRC_spaghetti/get_ei.o

OBJ11 = pwi2xsf_old.o pwError.o pwLatgen.o
OBJ111= pwi2xsf.o pwError.o pwLatgen.o

OBJ12 = fsReadBXSF.o auxil.o wigner.o convexhull.o


all: compile install

compile: spaghetti gengeom calplane atomlab recvec str2xcr \
	fracCoor multislab ftnunit savestruct kPath pwKPath \
	fhi_inpini2ftn34 fhi_coord2xcr \
	wn_readbands wn_readbakgen pw fsReadBXSF \
	cube2xsf

spaghetti:
	cd SRC_spaghetti; $(MAKE)

gengeom: $(OBJ)
	$(FC) $(FFLAGS) -o gengeom $(OBJ)

calplane: $(OBJ2)
	$(FC) $(FFLAGS) -o calplane $(OBJ2)

atomlab: $(OBJ3)
	$(FC) $(FFLAGS) -o atomlab $(OBJ3)

recvec: recvec.o auxil.o
	$(FC) $(FFLAGS) -o recvec recvec.o auxil.o 

str2xcr: $(OBJ5)
	$(FC) $(FFLAGS) -o str2xcr $(OBJ5)

fracCoor: fracCoor.o auxil.o  readf1.o
	$(FC) $(FFLAGS) -o fracCoor fracCoor.o auxil.o  readf1.o

multislab: $(OBJ6)
	$(FC) $(FFLAGS) -o multislab $(OBJ6)

savestruct: $(OBJ7)
	$(FC) $(FFLAGS) -o savestruct $(OBJ7)

ftnunit: ftnunit.o
	$(FC) $(FFLAGS) -o ftnunit ftnunit.o

kPath: $(OBJ8)
	$(FC) $(FFLAGS) -o kPath $(OBJ8)

pwKPath: $(OBJ88)
	$(FC) $(FFLAGS) -o pwKPath $(OBJ88)

fhi_inpini2ftn34: fhi_inpini2ftn34.o
	$(FC) $(FFLAGS) -o fhi_inpini2ftn34 fhi_inpini2ftn34.o

fhi_coord2xcr: fhi_coord2xcr.o
	$(FC) $(FFLAGS) -o fhi_coord2xcr fhi_coord2xcr.o

wn_readbands: $(OBJ9)
	$(FC) $(FFLAGS) -o wn_readbands $(OBJ9)  $(OBJ10)

wn_readbakgen: wn_readbakgen.o
	$(FC) $(FFLAGS) -o wn_readbakgen wn_readbakgen.o

pw: pwi2xsf pwi2xsf_old


pwi2xsf_old: $(OBJ11) 
	$(FC) $(FFLAGS) -o pwi2xsf_old $(OBJ11)

pwi2xsf: $(OBJ111)
	$(FC) $(FFLAGS) -o pwi2xsf $(OBJ111)

fsReadBXSF: $(OBJ12)
	$(FC) $(FFLAGS) -o fsReadBXSF $(OBJ12)

cube2xsf: cube2xsf.o
	$(FC) $(FFLAGS) -o cube2xsf cube2xsf.o

PROGRAMS = \
	gengeom calplane atomlab recvec str2xcr fracCoor \
	multislab savestruct ftnunit kPath pwKPath \
	fhi_inpini2ftn34 fhi_coord2xcr \
	wn_readbands wn_readbakgen pwi2xsf pwi2xsf_old fsReadBXSF \
	cube2xsf

install:
	for prog in $(PROGRAMS); do \
		if test -x $$prog.exe ; then cp $$prog.exe ../bin ; \
		elif test -x $$prog ; then cp $$prog ../bin ; fi; \
	done

clean:
	-rm -f *.o 
	for prog in $(PROGRAMS); do \
		if test -f $$prog.exe ; then rm $$prog.exe; \
		elif test -f $$prog ; then rm $$prog; fi; \
	done
	-cd SRC_spaghetti; rm -f *.o
	-cd SRC_nn; rm -f nn *.o

$(OBJ):  mode.inc

=== Tcl/Makefile ===
TOPDIR = $(PWD)/..
TCL_INDEX = $(TOPDIR)/util/tcl_index

include ../Make.sys

.tcl:

tclIndex: *.tcl
	XCRYSDEN_TOPDIR=$(TOPDIR); \
	export XCRYSDEN_TOPDIR; $(TCL_INDEX)

clean:
	-rm -f *~

=== F/SRC_nn/Makefile ===
include ../../Make.sys

OBJ =   nn.o \
	dirlat.o \
	ord2.o

all: nn install

nn:     $(OBJ)
	$(FC) $(FFLAGS) $(OBJ) -o nn 

install:
	if test -f nn.exe ; then cp nn.exe ../../bin ; \
	elif test -f nn     ; then cp nn     ../../bin ; fi

clean: 
	-rm *.o
	if test -f nn.exe; then \
		rm nn.exe; \
	elif test -f nn; then \
		rm nn; \
	fi

=== debian/changelog ===
xcrysden (1.5.60-1build3) bionic; urgency=medium

  * No-change rebuild against libgl2ps1.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Nov 2017 06:31:11 +0000

xcrysden (1.5.60-1build2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:14:27 +0000

xcrysden (1.5.60-1build1) yakkety; urgency=medium

  * Rebuild against libgl2ps1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 May 2016 12:39:34 +0200

xcrysden (1.5.60-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (DM-Upload-Allowed): Dropped obsolete field.
    (Standards-Version): Bumped to 3.9.5.
    (Depends): Use tk-dev and tcl-dev instead of a specific Tcl/Tk version.
    (Suggests): Added gifsicle, mencoder, netpbm and x11-apps utilized by
    xcrysden.
    (Description): Added explanation for suggested packages.
  * debian/copyright: Minor update. Added missing information.
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/patches/Make.sys.patch: Added -DUSE_INTERP_RESULT to CPPFLAGS to
    fix building with Tcl/Tk>=8.6. Also use unversioned symbol links/includes.
  * debian/xcrysden-data.lintian-overrides: Added.
  * debian/source/lintian-overrides: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 28 Sep 2014 02:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xcrysden
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Anton Kokalj <tone.kokalj@ijs.si>,
-           Michael Banck <mbanck@debian.org>,
-           Daniel Leidert <dleidert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Anton Kokalj <tone.kokalj@ijs.si>, Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>> 8),
                gfortran,
                libfftw3-dev,
@@ -17,11 +16,10 @@
                libx11-dev,
                libxmu-dev,
                libxmu-headers,
-               tcl8.5-dev,
-               tk8.5-dev
-Standards-Version: 3.9.3
+               tcl-dev,
+               tk-dev
+Standards-Version: 3.9.5
 Homepage: http://www.xcrysden.org/
-DM-Upload-Allowed: yes
 
 Package: xcrysden
 Architecture: any
@@ -32,12 +30,19 @@
          xcrysden-data,
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: gifsicle, mencoder, netpbm, x11-apps
 Description: Crystalline and Molecular Structure Visualizer
  XCrySDen is a crystalline and molecular structure visualisation
  program, which aims at display of isosurfaces and contours, which can
  be superimposed on crystalline structures and interactively rotated
  and manipulated. It can run on most UNIX platforms, without any
  special hardware requirements.
+ .
+ XCrySDen allows for real-time capture of display. Several movie encoders
+ are supported, in particular for Animated-GIF convert (imagemagick),
+ gifsicle, or whirlgif are necessary. For AVI/MPEG mencoder or
+ ppmtompeg (netpbm) is required. For window dumps either imagemagick or
+ xwd (x11-apps) needs to be present.
 
 Package: xcrysden-data
 Architecture: all

=== debian/watch ===
# watch control file for uscan
version=3
http://www.xcrysden.org/download/xcrysden-([\d.]+)\.tar\.gz debian uupdate
